transform.hpp File Reference

## Classes

struct | ranges::iter_transform2_view< Rng1, Rng2, Fun >
struct | ranges::iter_transform_view< Rng, Fun >
struct | ranges::transform2_view< Rng1, Rng2, Fun >
struct | ranges::transform_view< Rng, Fun >
struct | ranges::views::iter_transform_base_fn
struct | ranges::views::iter_transform_fn
struct | ranges::views::transform_base_fn
struct | ranges::views::transform_fn

## Typedefs

template<typename Rng , typename F >
using | ranges::cpp20::transform_view = ranges::transform_view< Rng, F >

## Variables

template<typename Rng , typename Fun >
concept | ranges::views::transformable_range
template<typename Rng , typename Fun >
concept | ranges::views::transformable_range_ = regular_invocable<Fun &, range_reference_t<Rng>> && (!std::is_void<indirect_result_t<Fun &, iterator_t<Rng>>>::value)
template<typename Rng1 , typename Rng2 , typename Fun >
concept | ranges::views::transformable_ranges
template<typename Rng1 , typename Rng2 , typename Fun >
concept | ranges::views::transformable_ranges_ = regular_invocable<Fun &, range_reference_t<Rng1>, range_reference_t<Rng2>> && (!std::is_void< indirect_result_t<Fun &, iterator_t<Rng1>, iterator_t<Rng2>>>::value)

## Variable Documentation

## transformable_range

template<typename Rng , typename Fun >

concept ranges::views::transformable_range

Initial value:
=
viewable_range<Rng> && input_range<Rng> &&
copy_constructible<Fun> &&
views::transformable_range_ < Rng, Fun >

## transformable_ranges

template<typename Rng1 , typename Rng2 , typename Fun >

concept ranges::views::transformable_ranges

Initial value:
=
viewable_range<Rng1> && input_range<Rng1> &&
viewable_range<Rng2> && input_range<Rng2> &&
copy_constructible<Fun> &&
views::transformable_ranges_ < Rng1, Rng2, Fun >